Package: org.codehaus.groovy.transform.sc

## [Java] Class StaticCompileTransformation

- org.codehaus.groovy.transform.sc.StaticCompileTransformation

- Handles the implementation of the CompileStatic transformation.

  Authors:
    Cedric Champeau

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class StaticTypesTransformation` | `STATIC_ERROR_PREFIX, compilationUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected StaticTypeCheckingVisitor` | `newVisitor(SourceUnit unit, ClassNode node)`
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StaticTypesTransformation` | `addTypeCheckingExtensions, newVisitor, setCompilationUnit, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override protected StaticTypeCheckingVisitor newVisitor(SourceUnit unit, ClassNode node)

    - #### @Override public void visit(ASTNode[] nodes, SourceUnit source)